Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api.task
Interface TaskStatistic

    public interface TaskStatistic

Records task statistics information of a report.

Since:
  version 9

Method Summary
`long` | `getFirstSubmittedTime()` Gets submitted time of the first task that runs the report.
`java.lang.String` | `getLastCatalogName()` Gets the catalog name used to run the report in the last task.
`int` | `getLastPageNumber()` Gets page number of the last task that runs the report.
`long` | `getLastSubmittedTime()` Gets submitted time of the last task that runs the report.
`java.lang.String` | `getLastTaskID()` Gets the last task's ID involved in running the report.
`java.lang.String` | `getLastUser()` Gets the user name that runs the report in the last task.
`java.lang.String` | `getReportName()` Gets the report name.
`int` | `getRunTimesNumber()` Gets the number of times of running the report after the first time run.

Method Detail

### getReportName

    java.lang.String getReportName()

  Gets the report name.

  Returns:
    the report name.

### getLastTaskID

    java.lang.String getLastTaskID()

  Gets the last task's ID involved in running the report.

  Returns:
    the last task ID.

### getLastCatalogName

    java.lang.String getLastCatalogName()

  Gets the catalog name used to run the report in the last task.

  Returns:
    the catalog name.

### getLastUser

    java.lang.String getLastUser()

  Gets the user name that runs the report in the last task.

  Returns:
    the user name.

### getLastSubmittedTime

    long getLastSubmittedTime()

  Gets submitted time of the last task that runs the report.

### getLastPageNumber

    int getLastPageNumber()

  Gets page number of the last task that runs the report.

### getRunTimesNumber

    int getRunTimesNumber()

  Gets the number of times of running the report after the first time run.

  Returns:
    the number of times of running the report.

### getFirstSubmittedTime

    long getFirstSubmittedTime()

  Gets submitted time of the first task that runs the report.

  Returns:
    the first submitted time.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD